%define name 	libcap
%define version 1.10
%define release 3mdk

%define major	1
%define libname %name%major

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	Library for getting and setting POSIX.1e capabilities
URL: 		ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4
Source:		%{name}-%{version}.tar.bz2
Patch0: 	libcap-1.10-ia64.patch
Patch1: 	libcap-1.10-userland.patch
Patch2: 	libcap-1.10-shared.patch
License: 	BSD
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

NOTE: The Mandrake kernel does not permit capabilities by default.

%package utils
Summary:  Administration tools for POSIX.1e capabilities
Group:	  System/Kernel and hardware
Requires: %libname

%description utils
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.
This package contains the sysadmin's utilities to control these capabilities.

NOTE: The Mandrake kernel does not permit capabilities by default.

%package -n %libname
Summary: Library for getting and setting POSIX.1e capabilities
Group:	 System/Libraries

%description -n %libname
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

NOTE: The Mandrake kernel does not permit capabilities by default.

%package -n %libname-devel
Summary: Development files for %{name}
Group: Development/Kernel
Requires: %{libname} = %{version}
Provides: %{name}-devel = %version

%description -n %libname-devel
Development files (Headers, libraries for static linking, etc) for %{name}.

%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

Install %{name}-devel if you want to develop or compile applications using
%{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
perl -pi -e "s,^COPTFLAGS=.*,COPTFLAG=$RPM_OPT_FLAGS,g" Make.Rules
perl -pi -e 's,^man_prefix=.*,man_prefix=\$\(prefix)/share,g' Make.Rules

%build
make prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=/usr FAKEROOT=$RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/lib
mv $RPM_BUILD_ROOT%{_libdir}/* $RPM_BUILD_ROOT/lib
rm -rf $RPM_BUILD_ROOT%{_libdir}
# conflics with man-pages
rm -f $RPM_BUILD_ROOT%{_mandir}/man2/*

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files utils
%defattr(-,root,root)
%{_sbindir}/*
%{_mandir}/man3/*

%files -n %libname
%defattr(-,root,root)
/lib/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/*
/lib/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 6 2003 Austin Acton <aacton@yorku.ca> 1.10-3mdk
- really fix conflicts

* Fri Feb 28 2003 Austin Acton <aacton@yorku.ca> 1.10-2mdk
- fix provides
- remove man pages that conflict with man-pages

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 1.10-1mdk
- initial release
- 'borrow' some patches from RedHat
